Skip to main content
PUT
/
v1
/
catalog_entities
/
{id}
Update a Catalog Entity
curl --request PUT \
  --url https://api.rootly.com/v1/catalog_entities/{id} \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/vnd.api+json' \
  --data '
{
  "data": {
    "type": "catalog_entities",
    "attributes": {
      "name": "<string>",
      "description": "<string>",
      "position": 123,
      "fields": [
        {
          "catalog_field_id": "<string>",
          "value": "<string>"
        }
      ]
    }
  }
}
'
{
  "data": {
    "id": "<string>",
    "type": "catalog_entities",
    "attributes": {
      "name": "<string>",
      "position": 123,
      "created_at": "<string>",
      "updated_at": "<string>",
      "description": "<string>",
      "fields": [
        {
          "catalog_field_id": "<string>",
          "value": "<string>"
        }
      ]
    }
  }
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

id
required

Resource UUID

Body

application/vnd.api+json
data
object
required

Response

catalog_entity update replaces existing properties

data
object
required